
def get_size_conv(
        w_in,
        p,
        s,
        k
):
    return (w_in + 2 * p - k) / s + 1


def get_size_transposed_conv(
        w_in,
        p,
        s,
        k
):
    return (w_in - 1) * s - 2 * p + k

# (B, 32, 1, 1) => (B, 3, 100, 100)

# stride*(in_size - 1) - 2*padding - kernel_size, kur size = 1, padding =2, kernel = 4 un stride = 3 atgriež -8

# 64
out = get_size_conv(
    w_in=100,
    k=8,
    s=4,
    p=2
)
print(out)
# k=3 p=1 s=1 W_in == W_out

out = get_size_conv(
    w_in=100,
    k=7,
    s=3,
    p=0
)
print(out)

exit()




















# print(get_size_transposed_conv(
#     w_in=50,
#     p=1,
#     s=2,
#     k=4
# ))


